Package org.springframework.jdbc.datasource.init

# Class UncategorizedScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.jdbc.datasource.init.ScriptException
org.springframework.jdbc.datasource.init.UncategorizedScriptException

All Implemented Interfaces:
  `Serializable`

public class UncategorizedScriptException extends ScriptException
Thrown when we cannot determine anything more specific than "something went wrong while processing an SQL script": for example, a `SQLException` from JDBC that we cannot pinpoint more precisely.

Since:
  4.0.3
Author:
  Sam Brannen
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UncategorizedScriptException(String message)`
Create a new `UncategorizedScriptException`.
`UncategorizedScriptException(String message, Throwable cause)`
Create a new `UncategorizedScriptException`.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UncategorizedScriptException

public UncategorizedScriptException(String message)
Create a new `UncategorizedScriptException`.

Parameters:
  `message` - detailed message

### UncategorizedScriptException

public UncategorizedScriptException(String message, Throwable cause)
Create a new `UncategorizedScriptException`.

Parameters:
  `message` - detailed message
  `cause` - the root cause